Subject: Re: bug#30676: Please make smie-config-guess interruptible

From: Noam Postavsky <[email-masked]>
Date: Fri, 02 Mar 2018 18:22:14 -0500

Reuben Thomas <[email-masked]> writes:

> On 2 March 2018 at 22:41, Noam Postavsky <[email-masked]> wrote:

>>> It would be nice if one could run smie-config-guess without having to
>>> worry about it locking up Emacs on large buffers. If it were possible
>>> to interrupt it with C-g, that would make it friendlier.
>>
>> C-g interrupts just fine for me; since it written in lisp, I can't see
>> why it should be otherwise.
>
> Indeed, I was a bit surprised, but I ran it on my ~/.bash_history
> (about 10Mb, 900,000 lines) and however many times I pressed C-g, it
> just sat there slowly counting through the "Analyzing" progress meter,
> and Emacs taking 100% CPU.

I just checked again, with a file produced by re-catting my
~/.bash_history until it's 900,000 lines (I got ~13MB), C-g still works
fine here.